HORIZON HASKELLDocslts/ghc-9.10.xc74966e2026-09-27Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · c74966e · 2026-09-27

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.PostTreasuryFinancialAccountsFinancialAccountFeatures

Contains the different functions to run the operation postTreasuryFinancialAccountsFinancialAccountFeatures

  • 15 types
  • 15 values
  • Packagestripeapi-3.0.0.0
  • Exports30
  • LanguageHaskell2010
  • LicenceMIT
  • SourcePostTreasuryFinancialAccountsFinancialAccountFeatures.hs
valuepostTreasuryFinancialAccountsFinancialAccountFeatures
  1. :: MonadHTTP m
  2. => Text

    financial_account | Constraints: Maximum length of 5000

  3. -> Maybe PostTreasuryFinancialAccountsFinancialAccountFeaturesRequestBody

    The request body to send

  4. -> ClientT m (Response PostTreasuryFinancialAccountsFinancialAccountFeaturesResponse)

    Monadic computation which returns the result of the operation

#
POST /v1/treasury/financial_accounts/{financial_account}/features

<p>Updates the Features associated with a FinancialAccount.</p>

Defines the object schema located at paths./v1/treasury/financial_accounts/{financial_account}/features.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/treasury/financial_accounts/{financial_account}/features.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.card_issuing in the specification.

Encodes the FinancialAccount's ability to be used with the Issuing product, including attaching cards to and drawing funds from the FinancialAccount.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/treasury/financial_accounts/{financial_account}/features.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.deposit_insurance in the specification.

Represents whether this FinancialAccount is eligible for deposit insurance. Various factors determine the insurance amount.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/treasury/financial_accounts/{financial_account}/features.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.financial_addresses in the specification.

Contains Features that add FinancialAddresses to the FinancialAccount.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/treasury/financial_accounts/{financial_account}/features.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.financial_addresses.properties.aba in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/treasury/financial_accounts/{financial_account}/features.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.inbound_transfers in the specification.

Contains settings related to adding funds to a FinancialAccount from another Account with the same owner.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/treasury/financial_accounts/{financial_account}/features.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.inbound_transfers.properties.ach in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/treasury/financial_accounts/{financial_account}/features.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.intra_stripe_flows in the specification.

Represents the ability for the FinancialAccount to send money to, or receive money from other FinancialAccounts (for example, via OutboundPayment).

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/treasury/financial_accounts/{financial_account}/features.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.outbound_payments in the specification.

Includes Features related to initiating money movement out of the FinancialAccount to someone else's bucket of money.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/treasury/financial_accounts/{financial_account}/features.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.outbound_payments.properties.ach in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/treasury/financial_accounts/{financial_account}/features.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.outbound_payments.properties.us_domestic_wire in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/treasury/financial_accounts/{financial_account}/features.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.outbound_transfers in the specification.

Contains a Feature and settings related to moving money out of the FinancialAccount into another Account with the same owner.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/treasury/financial_accounts/{financial_account}/features.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.outbound_transfers.properties.ach in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/treasury/financial_accounts/{financial_account}/features.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.outbound_transfers.properties.us_domestic_wire in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation postTreasuryFinancialAccountsFinancialAccountFeatures.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostTreasuryFinancialAccountsFinancialAccountFeaturesResponseError is used.

Instances2Eq, Show